| GET | /RestApi/diagnostics/sites/{forContentType} |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
public class dtos
{
public static class GetSites
{
public ContentType ForContentType = null;
public ContentType getForContentType() { return ForContentType; }
public GetSites setForContentType(ContentType value) { this.ForContentType = value; return this; }
}
public static enum ContentType
{
Pages,
Libraries;
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/sites/{forContentType} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
Title: String
}
]